Bug 861317 - It should be "ssh-dss" in the description of error message when adding invalid ssh key
It should be "ssh-dss" in the description of error message when adding invali...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-28 02:56 EDT by Yujie Zhang
Modified: 2015-05-14 21:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:48:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2012-09-28 02:56:52 EDT
Description of problem:
When I tried to add invalid ssh key , there was error message of 
"Your SSH public key appears to be invalid.  Keys should start with a  type (usually ssh-rsa or ssh-dsa), a blank space, and then a long string  of numbers and letters."
However, it shouls be "ssh-dss" in the error message, for the dsa key is started with ssh-dss.

Version-Release number of selected component (if applicable):
devenv_2247

How reproducible:always


Steps to Reproduce:
1.Go to openshift website and login
2.Try to add invalid ssh key
3.Check the error message
  
Actual results:

The error message is "Your SSH public key appears to be invalid.  Keys should start with a  type (usually ssh-rsa or ssh-dsa), a blank space, and then a long string  of numbers and letters."

Expected results:
The "ssh-dsa" should be "ssh-dss" in the error message, the following is a dsa key example:

ssh-dss AAAAB3NzaC1kc3MAAACBAN4xSU29Yfe9c+tE34Va9PsK6sNNdOYzDf7zm9v5nbCY352/5h+O+BseHlnes8Se89xhD+qkstHA0SjHvo091/yCBdN2bIjM2nb1biL9y2ixMsz2q5m7kRTYo6FywsZKOWynqxaqEmn50DXIhhiyrFbz6cOQWB7ajGl4XXRenVwJAAAAFQDt0S/8x4StsLVOa7vjj2D0zXdEawAAAIAPhe2x8ADduLLDookIHUO4U+tMRvt9jPhki/BtbWQzPWJFyEKBQU1+j+bc8xFldaHYbe58i2opVFmlCprBjeRyKAJGZu357jW/Qzg0NJWIjfREh2/jkisTDXyphDhAwfaVnb14ES3woq6CrSdk2nX2Wf1g/4U2q0ui7PIqarXpXAAAAIAub7Aaj123vml38WdIr+2t9T/+4b4qcAziVDt9471lJHiDoKsbo86nhotbmEwAxew8Z0X+Cn/9ZbO2/1VDxlU4+cIWzU+g4OvRmrymt0lB5Onnr15CRfLVpSw0SerQl6Szovj99OWI5OnoHJPrvd6YoxWeVQ/mcyLmW03wFaBY5w== root@localhost.localdomain

Additional info:
Comment 1 Clayton Coleman 2012-09-28 10:34:30 EDT
https://github.com/openshift/li/pull/415
Comment 2 Yujie Zhang 2012-09-28 22:13:20 EDT
(In reply to comment #1)
Tested this issue on devenv_2252, it has been fixed now, thanks.

Note You need to log in before you can comment on or make changes to this bug.